# edropin_accountsapi
Accounts service for eDropin

This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.10
- Build package: org.openapitools.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: edropin_accountsapi
version: 1.0.0
description: OpenAPI API client
dependencies:
  edropin_accountsapi:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  edropin_accountsapi:
    path: /path/to/edropin_accountsapi
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:edropin_accountsapi/api.dart';

// TODO Configure API key authorization: ClientKey
//edropin_accountsapi.api.Configuration.apiKey{'X-Client-Key'} = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//edropin_accountsapi.api.Configuration.apiKeyPrefix{'X-Client-Key'} = "Bearer";

var api_instance = new EaAccountsApi();
var eaPasswordAuthentication = new EaPasswordAuthentication(); // EaPasswordAuthentication | Authentication values

try {
    var result = api_instance.authenticatePassword(eaPasswordAuthentication);
    print(result);
} catch (e) {
    print("Exception when calling EaAccountsApi->authenticatePassword: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://edropin-test.appspot.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*EaAccountsApi* | [**authenticatePassword**](docs//EaAccountsApi.md#authenticatepassword) | **POST** /accounts/authenticate/password | Authenticate using email/password
*EaAccountsApi* | [**getAccount**](docs//EaAccountsApi.md#getaccount) | **GET** /accounts | Get Account
*EaAccountsApi* | [**getMultipleAccounts**](docs//EaAccountsApi.md#getmultipleaccounts) | **GET** /accounts/get-multi | Get multiple accounts [service only]
*EaAccountsApi* | [**updateAccount**](docs//EaAccountsApi.md#updateaccount) | **PUT** /accounts | Create/update existing account
*EaAccountsApi* | [**updateAccountClaims**](docs//EaAccountsApi.md#updateaccountclaims) | **PUT** /accounts/{accountId}/claims | Update account claims
*EaPermissionsApi* | [**acceptPermissionInvite**](docs//EaPermissionsApi.md#acceptpermissioninvite) | **POST** /permissions/accept-invite/{inviteToken} | Accept a permission invite
*EaPermissionsApi* | [**hasPermission**](docs//EaPermissionsApi.md#haspermission) | **GET** /permissions/{entityType}/{entityId}/accounts/{accountId} | Check account has permission
*EaPermissionsApi* | [**paginatePermissions**](docs//EaPermissionsApi.md#paginatepermissions) | **GET** /permissions/{entityType}/{entityId}/accounts | Get permissions for entity
*EaPermissionsApi* | [**removePermissionsForAccount**](docs//EaPermissionsApi.md#removepermissionsforaccount) | **DELETE** /permissions/{entityType}/{entityId}/accounts/{accountId} | Remove all permissions for account
*EaPermissionsApi* | [**sendPermissionInvite**](docs//EaPermissionsApi.md#sendpermissioninvite) | **POST** /permissions/{entityType}/{entityId}/send-invite | Send a permission invite
*EaPermissionsApi* | [**setPermission**](docs//EaPermissionsApi.md#setpermission) | **PUT** /permissions/{entityType}/{entityId}/accounts/{accountId} | Set account permission
*EaProfileInvitesApi* | [**archiveProfileInvite**](docs//EaProfileInvitesApi.md#archiveprofileinvite) | **DELETE** /profile-invites/{inviteId} | Archive a profile invitation
*EaProfileInvitesApi* | [**createProfileFromInvite**](docs//EaProfileInvitesApi.md#createprofilefrominvite) | **POST** /profile-invites/referral/{referralCode} | Create a profile from a profile invite
*EaProfileInvitesApi* | [**createProfileInvite**](docs//EaProfileInvitesApi.md#createprofileinvite) | **POST** /profile-invites | Create a new profile invite
*EaProfileInvitesApi* | [**getMultipleInvites**](docs//EaProfileInvitesApi.md#getmultipleinvites) | **GET** /profile-invites/get-multi | Get Multiple Profile Invites
*EaProfileInvitesApi* | [**getProfileInviteReferral**](docs//EaProfileInvitesApi.md#getprofileinvitereferral) | **GET** /profile-invites/referral/{referralCode} | Get the pre-filled fields for on-boarding an invite
*EaProfileInvitesApi* | [**listProfileInvites**](docs//EaProfileInvitesApi.md#listprofileinvites) | **GET** /profile-invites | Paginate over all invitations made by requested user
*EaProfileTagsApi* | [**listTagRequests**](docs//EaProfileTagsApi.md#listtagrequests) | **GET** /profiles/{profileId}/profile-tags | Paginate over all tag requests for the profile
*EaProfileTagsApi* | [**removeProfileTagRequest**](docs//EaProfileTagsApi.md#removeprofiletagrequest) | **DELETE** /profile-tags/{profileTagId} | Remove a profile tag request
*EaProfileTagsApi* | [**respondToProfileTagRequest**](docs//EaProfileTagsApi.md#respondtoprofiletagrequest) | **PUT** /profile-tags/{profileTagId} | Accept or decline a profile tag request
*EaProfileTagsApi* | [**upsertProfileTagRequest**](docs//EaProfileTagsApi.md#upsertprofiletagrequest) | **POST** /profiles/{profileId}/profile-tags | Request to tag a profile in an entity e.g. Event, Course, etc.
*EaProfilesApi* | [**checkAccountHasPermission**](docs//EaProfilesApi.md#checkaccounthaspermission) | **GET** /profiles/{profileId}/permissions/{accountId}/check | Check account has permission
*EaProfilesApi* | [**checkUsernameAvailability**](docs//EaProfilesApi.md#checkusernameavailability) | **GET** /profiles/usernamecheck | Check username availability
*EaProfilesApi* | [**createProfile**](docs//EaProfilesApi.md#createprofile) | **POST** /profiles | Create profile
*EaProfilesApi* | [**deleteProfile**](docs//EaProfilesApi.md#deleteprofile) | **DELETE** /profiles/{profileId} | Delete an existing profile
*EaProfilesApi* | [**getAccountPermissionForProfile**](docs//EaProfilesApi.md#getaccountpermissionforprofile) | **GET** /profiles/{profileId}/permissions/{accountId} | Get permission for account
*EaProfilesApi* | [**getAllProfiles**](docs//EaProfilesApi.md#getallprofiles) | **GET** /profiles | Get Profiles
*EaProfilesApi* | [**getMultipleProfiles**](docs//EaProfilesApi.md#getmultipleprofiles) | **GET** /profiles/get-multi | Get Multiple Profiles
*EaProfilesApi* | [**getProfile**](docs//EaProfilesApi.md#getprofile) | **GET** /profiles/{profileId} | Get a profile from the directory
*EaProfilesApi* | [**getProfileCategories**](docs//EaProfilesApi.md#getprofilecategories) | **GET** /profiles/categories | Get Profile Categories
*EaProfilesApi* | [**getProfilePermission**](docs//EaProfilesApi.md#getprofilepermission) | **GET** /profiles/{profileId}/all-permissions | List all profile permissions
*EaProfilesApi* | [**paginateProfileFeed**](docs//EaProfilesApi.md#paginateprofilefeed) | **GET** /profiles/{profileId}/feed | Profile Feed
*EaProfilesApi* | [**searchProfile**](docs//EaProfilesApi.md#searchprofile) | **GET** /profiles/search | Search Profiles
*EaProfilesApi* | [**sendProfileEmailVerification**](docs//EaProfilesApi.md#sendprofileemailverification) | **POST** /profiles/{profileId}/email-verification | Send email verification
*EaProfilesApi* | [**setProfilePermission**](docs//EaProfilesApi.md#setprofilepermission) | **PUT** /profiles/{profileId}/permissions/{accountId} | Set permission for profile
*EaProfilesApi* | [**setStatus**](docs//EaProfilesApi.md#setstatus) | **PUT** /profiles/{profileId}/status | Set a profile status
*EaProfilesApi* | [**updateProfile**](docs//EaProfilesApi.md#updateprofile) | **PUT** /profiles/{profileId} | Update an existing profile
*EaProfilesApi* | [**verifyProfileEmail**](docs//EaProfilesApi.md#verifyprofileemail) | **POST** /profiles/email-verification/{code} | Verifiy profile email
*EaUtilitiesApi* | [**checkPhoneVerification**](docs//EaUtilitiesApi.md#checkphoneverification) | **POST** /utility/phoneverification/check | Check phone verification
*EaUtilitiesApi* | [**startPhoneVerification**](docs//EaUtilitiesApi.md#startphoneverification) | **POST** /utility/phoneverification/start | Verify a phone number


## Documentation For Models

 - [DefaultError](docs//DefaultError.md)
 - [EaAccount](docs//EaAccount.md)
 - [EaAccountUpdate](docs//EaAccountUpdate.md)
 - [EaAddress](docs//EaAddress.md)
 - [EaAuthentication](docs//EaAuthentication.md)
 - [EaBaseId](docs//EaBaseId.md)
 - [EaClaims](docs//EaClaims.md)
 - [EaEmailVerification](docs//EaEmailVerification.md)
 - [EaFacetSearch](docs//EaFacetSearch.md)
 - [EaFacetSearchFacetHits](docs//EaFacetSearchFacetHits.md)
 - [EaFeedItem](docs//EaFeedItem.md)
 - [EaGeoloc](docs//EaGeoloc.md)
 - [EaPagedAccount](docs//EaPagedAccount.md)
 - [EaPagedFeedItem](docs//EaPagedFeedItem.md)
 - [EaPagedPermission](docs//EaPagedPermission.md)
 - [EaPagedPermissionInvite](docs//EaPagedPermissionInvite.md)
 - [EaPagedProfile](docs//EaPagedProfile.md)
 - [EaPagedProfileInvite](docs//EaPagedProfileInvite.md)
 - [EaPagedTagRequest](docs//EaPagedTagRequest.md)
 - [EaPagination](docs//EaPagination.md)
 - [EaPasswordAuthentication](docs//EaPasswordAuthentication.md)
 - [EaPermission](docs//EaPermission.md)
 - [EaPermissionAccept](docs//EaPermissionAccept.md)
 - [EaPermissionCheck](docs//EaPermissionCheck.md)
 - [EaPermissionInput](docs//EaPermissionInput.md)
 - [EaPermissionInvite](docs//EaPermissionInvite.md)
 - [EaPermissionInviteCreate](docs//EaPermissionInviteCreate.md)
 - [EaPhoneVerification](docs//EaPhoneVerification.md)
 - [EaPhoneVerificationCheck](docs//EaPhoneVerificationCheck.md)
 - [EaPhoneVerificationInput](docs//EaPhoneVerificationInput.md)
 - [EaProfile](docs//EaProfile.md)
 - [EaProfileBase](docs//EaProfileBase.md)
 - [EaProfileInvite](docs//EaProfileInvite.md)
 - [EaProfileInviteCreate](docs//EaProfileInviteCreate.md)
 - [EaProfileStatus](docs//EaProfileStatus.md)
 - [EaProfileUpdate](docs//EaProfileUpdate.md)
 - [EaSuccess](docs//EaSuccess.md)
 - [EaTagRequest](docs//EaTagRequest.md)
 - [EaTagRequestCreate](docs//EaTagRequestCreate.md)
 - [EaTagRespond](docs//EaTagRespond.md)


## Documentation For Authorization


## AdminKey

- **Type**: API key
- **API key parameter name**: X-Admin-Key
- **Location**: HTTP header

## Authorization

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## AuthorizationOptional

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

## ClientKey

- **Type**: API key
- **API key parameter name**: X-Client-Key
- **Location**: HTTP header

## ServiceKey

- **Type**: API key
- **API key parameter name**: X-Service-Key
- **Location**: HTTP header


## Author

dev@edropin.com


